geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Vamsavardhana Reddy <c1vams...@gmail.com>
Subject Re: Daytrader plugins "not installable" on Geronimo 2.1.3
Date Wed, 05 Aug 2009 05:58:51 GMT
Build the daytrader application from 2.1.3 branch URL
http://svn.apache.org/repos/asf/geronimo/daytrader/branches/2.1.3/

Thanks and best regards,

On Wed, Aug 5, 2009 at 11:11 AM, totallysucks <totallysteve@gmail.com>wrote:

>
> Let me preface this by saying I am a complete newbie to Geronimo.
>
> I recently downloaded Geronimo 2.1.3 with Tomcat and attempted to install
> the Daytrader app, following the included readme. Maven finishes the build
> with no problems. However, when I point the admin console to my local Maven
> repository the plugins necessary for Daytrader show up but are not
> installable. If I try to install any of them from the command line I
> receive
> the error:
>
> "C:\g\bin>deploy install-plugin
> C:\.m2\org\apache\geronimo\daytrader\daytrader-to
> mcat\2.2-SNAPSHOT\daytrader-tomcat-2.2-SNAPSHOT.car
> Using GERONIMO_HOME:   C:\g
> Using GERONIMO_TMPDIR: var\temp
> Using JRE_HOME:        C:\Program Files\Java\jdk1.6.0_13\jre
> Username:
> Password:
> Checking for status every 1000ms:
> Installation FAILED: Plugin is not installable on Geronimo 2.1.4
> Missing
> dependency:
> org.apache.geronimo.daytrader/daytrader-tomcat/2.2-SNAPSHOT/car"
>
> I've searched the problem high & low and no solutions have jumped out at
> me.
> I've tried moving files around and my Maven repo and Geronimo folder to the
> drive root in case paths were too long to no avail. I also tried an older
> version of Geronimo (2.1), and tried installing the .car file located in
> the
> repo and from the build directory.
>
> Can anyone point me in the right direction?
>
> Details:
> Geronimo 2.1.3 with Tomcat
> Windows XP Pro SP2
> Checked out Daytrader r793775 from
> http://svn.apache.org/repos/asf/geronimo/daytrader
> Built with mvn clean install
> --
> View this message in context:
> http://www.nabble.com/Daytrader-plugins-%22not-installable%22-on-Geronimo-2.1.3-tp24821056s134p24821056.html
> Sent from the Apache Geronimo - Users mailing list archive at Nabble.com.
>
>


-- 
Vamsi

Mime
View raw message